{
	"format_version": "1.10.0",
	"minecraft:attachable": {
		"description": {
			"identifier": "sgs_farm:watering_can",
			"render_controllers": ["controller.render.item_default"],
			"materials": {
				"default": "entity_emissive_alpha",
				"enchanted": "entity_alphatest_glint"
			},
			"textures": {
				"default": "textures/sgs/farm/entity/attachable/watering_can",
				"enchanted": "textures/misc/enchanted_item_glint"
			},
			"geometry": {
				"default": "geometry.sgs_farm_watering_can"
			},
			"particle_effects":{
				"watering_effect":"sgs_farm:watering_can"
			},
			"animations": {
				"first_person_hold": "animation.sgs_farms_watering_can.fp_hold",
				"third_person_hold": "animation.sgs_farms_watering_can.tp_hold",
				
				"use": "animation.sgs_farms_watering_can.fp_use",
				"control_use": "controller.animation.sgs_farm_item"
			},
			"scripts": {
				"animate": [
					{
						"first_person_hold": "c.is_first_person"
					},
					{
						"third_person_hold": "!c.is_first_person"
					},
					"control_use"
				]
			}
		}
	}
}